Loading...
Searching...
No Matches
srs_step Struct Reference

Intermediate steps. More...

Collaboration diagram for srs_step:
[legend]

## Data Fields

sres_sip_t * | sp_srs
| Backpointer.
struct srs_step * | sp_already
| Step with identical query.
struct srs_step * | sp_trace
| Step that resulted in this step.
sres_record_t const * | sp_origin
| DNS record that resulted in this step.
int | sp_status
| Query status.

## Detailed Description

Intermediate steps.

## Field Documentation

## sp_already

struct srs_step* sp_already

Step with identical query.

- itself if first one

## sp_status

int sp_status

Query status.

STEP_NEW (-4) when created, STEP_QUEUED (-3) when queued, STEP_CACHED (-2) when found cached response STEP_SENT (-1) when query has been sent (positive) status from response otherwise

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.